<template>
  <div class="bg-gray-5 bg-linen p-md-5 pt-4 pb-4 widget-forge">
    <div class="container">
      <div class="row">
        <div
          class="col-4 d-flex flex-column justify-content-center align-items-center"
        >
          <a
            href="https://ryzomcore.atlassian.net/wiki/spaces/RC/overview"
            target="_blank"
            class="text-center"
          >
            <b-img-lazy
              :src="
                require('~/assets/images/logo/ryzom_core_logo.png?resize&size=150')
                  .src
              "
              :alt="$t('index.forge.openSource')"
              class="effect-enlarge"
            ></b-img-lazy>
            <div class="text-uppercase text-center mt-2">
              {{ $t('index.forge.openSource')
              }}<font-awesome-icon
                :icon="['fas', 'external-link-alt']"
                class="ml-2"
              ></font-awesome-icon></div
          ></a>
        </div>
        <div
          class="col-4 d-flex flex-column justify-content-center align-items-center"
        >
          <a :href="forgeLink" target="_blank" class="text-center">
            <b-img-lazy
              :src="
                require('~/assets/images/logo/ryzom_forge_logo.png?resize&size=150')
                  .src
              "
              :alt="$t('index.forge.playersCreate')"
              class="effect-enlarge"
            ></b-img-lazy>
            <div class="text-uppercase text-center mt-2">
              {{ $t('index.forge.playersCreate')
              }}<font-awesome-icon
                :icon="['fas', 'external-link-alt']"
                class="ml-2"
              ></font-awesome-icon></div
          ></a>
        </div>
        <div
          class="col-4 d-flex flex-column justify-content-center align-items-center"
        >
          <nuxt-link :to="localePath('play') + '#premium'" class="text-center">
            <b-img-lazy
              :src="
                require('~/assets/images/logo/support_logo.png?resize&size=150')
                  .src
              "
              :alt="$t('index.forge.supportRyzom')"
              class="effect-enlarge"
            ></b-img-lazy>
            <div class="text-uppercase text-center mt-2">
              {{ $t('index.forge.supportRyzom')
              }}<font-awesome-icon
                :icon="['fas', 'arrow-circle-right']"
                class="ml-2"
              ></font-awesome-icon></div
          ></nuxt-link>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      forgeLinks: {
        en: 'Portal:Forge',
        de: 'Portal:Forge',
        fr: 'Portail:Forge',
        es: 'Portal:Forge',
        ru: 'Portal:Forge',
      },
    };
  },
  computed: {
    forgeLink() {
      return (
        'https://' +
        this.$i18n.locale +
        '.wiki.ryzom.com/wiki/' +
        this.forgeLinks[this.$i18n.locale]
      );
    },
  },
};
</script>
